namespace Generator_Class_BD.Clases.Utilitarios
{
    using System.Text.RegularExpressions;

    static class SplitCamelCaseExtension
    {
        public static string SplitCamelCase(this string str)
        {
            return Regex.Replace(Regex.Replace(str, @"(\P{Ll})(\P{Ll}\p{Ll})", "$1 $2"), @"(\p{Ll})(\P{Ll})", "$1 $2");
        }

        public static string RemoveWhiteSpace(this string str)
        {
            return Regex.Replace(str, @"\s+", "");
        }
    }
}
